"""
Generate time series of nominated "gauges".
Input: sww file from run_perth.py
       gauges project.gauge_filename
Output: csv files stage,speed,depth,elevation over time
Stored in the 'outputs_dir' folder for respective .sww file

Note:
Can run different sww files at the same time
make sure if there is a second sww file that it is placed into a folder called sww2
Can run different gauges at the same time - ie testing boundary index point
"""

from os import sep, rename, listdir, system
from os.path import join
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project

directory = project.output_folder

##time_dir1 = '20090324_150124_run_final_0_27285_109_Bf_mhingee'
time_dir2 = '20090324_161452_run_final_0_27285_109_Tb_mhingee'

time_dirs = [time_dir2] # time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

print 'time directories', time_dirs

for time_dir in time_dirs:
    name = join(directory,time_dir,project.scenario_name)
    gauge = project.gauges
    sww2csv_gauges(name+'.sww',gauge,
                   quantities = ['stage','speed','depth','elevation'],
                   verbose=True)
  

